ch.dieseite.glemulator

## Class GLBaseTest

- java.lang.Object
- - PApplet
  - - ch.dieseite.glemulator.GLBaseTest

-     public class GLBaseTest
      extends PApplet

  This is a OpenGL Test Class only. It tests 3D Shapes, Lines AmbientLights and Textures. It leaves Processing in 2D and opens a new 3D Window that overrides Processing environment using direct access to JOGL libraries

  If this won't work then your Hardware/Driver definitive cannot support openGL

  This class is not required as part of build Path in an IDE

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.1
  Author:
    Markus Zimmermann http://www.die-seite.ch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GLAdapter` | `adapter`
    `(package private) float` | `angleSpeed`
    `(package private) float` | `angleX`
    `(package private) float` | `angleY`
    `(package private) int` | `height`
    `(package private) PImage` | `img`
    `(package private) int` | `width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLBaseTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw()`
    `(package private) void` | `drawModel()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `settings()`
    `void` | `setup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### adapter

          GLAdapter adapter

    - #### img

          PImage img

    - #### angleY

          float angleY

    - #### angleX

          float angleX

    - #### angleSpeed

          float angleSpeed

    - #### width

          int width

    - #### height

          int height

  - ### Constructor Detail

    - #### GLBaseTest

          public GLBaseTest()

  - ### Method Detail

    - #### settings

          public void settings()

    - #### setup

          public void setup()

    - #### draw

          public void draw()

    - #### drawModel

          void drawModel()

    - #### main

          public static void main(java.lang.String[] args)